**Source URL:** https://limited.veevavault.dev/safety/vault-api/api-reference/23.3/picklists/update-picklist-value.md

# Update Picklist Value



Change a picklist value `name` or `status`. To change a picklist value `label`, see [Update Picklist Value Label](/vault-api/api-reference/23.3/picklists/update-picklist-value-label).

Use caution when editing picklist value names. When you change a picklist value name, it may affect existing document and object metadata that refer to the picklist. This may also break existing integrations that access picklist values via the API.

<Endpoint path="/api/{version}/objects/picklists/{picklist_name}/{picklist_value_name}" method="PUT"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{picklist_name}` | The picklist `name` field value (`license_type__v`, `product_family__c`, `region__c`, etc.) |
| `{picklist_value_name}` | The picklist value `name` field value (`north_america__c`, `south_america__c`, etc.) |
</FieldTable>

## Body Parameters {#body-parameters}

At least one of the following parameters is required:

<FieldTable>
| Name | Description |
| --- | --- |
| `name` | The new name for a picklist value. This does not affect the label. Vault adds `__c` after processing. Special characters and double underscores `__` are not allowed. |
| `status` | The new status for a picklist value. Valid values are `active` or `inactive`. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "name=north_america_united_states" \
https://myvault.veevavault.com/api/v15.0/objects/picklists/regions__c/north_america__c

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS"
}

```
</CodeExample>

## Response Details {#response-details}

Only the picklist value `name` is changed. The picklist value `label` remains the same. In the UI, Admins will see the new name in **Business Admin > Picklists > {Picklist}**.



---

**Previous:** [Update Picklist Value Label](/safety/vault-api/api-reference/23.3/picklists/update-picklist-value-label)  
**Next:** [Inactivate Picklist Value](/safety/vault-api/api-reference/23.3/picklists/inactivate-picklist-value)